use super::*;

/// Command to interrupt an `Imouto` worker
#[derive(Debug, PartialEq,Eq,Hash)]
pub enum Command {
    /// Ungraceful shutdown
    Abort,
    /// Graceful shutdown
    Shutdown,

    /// Update interval
    Reset(interval::Time),
    
    /// Full reload
    Reload,
    
    /// Debug informations
    Dump,
}
